/*
 * Copyright 2023 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SDPMLINE2_H
#define SDPMLINE2_H

#include "sdpm.h"
#include "sdpmElement.h"

namespace sdpm
{

/**
 * @brief Line element
 * @authors Adrien Crovato
 */
class SDPM_API Line2 : public Element
{
public:
    Line2(size_t n, Tag *tag, std::vector<Node *> &nodes);
    ~Line2() {}

    virtual ElType getType() const override { return ElType::LINE2; }
#ifndef SWIG
    virtual void update() override;
    virtual void update(sdpmDouble beta) override;
#endif
};

} // namespace sdpm

#endif // SDPMLINE2_H
