/*
 * Copyright 2023 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "sdpmResults.h"

using namespace sdpm;

void Results::write(std::ostream &out) const
{
    out << "Results (nt=" << nt << ", time=" << time << ")\n";

    if (!scalarsAtNodes.empty())
    {
        out << scalarsAtNodes.size() << " scalars at nodes: ";
        for (auto &p : scalarsAtNodes)
        {
            out << "\t'" << p.first << "' (size=" << p.second->size() << ")\n";
        }
    }
    if (!scalarsAtElems.empty())
    {
        out << scalarsAtElems.size() << " scalars at elems: ";
        for (auto &p : scalarsAtElems)
        {
            out << "\t'" << p.first << "' (size=" << p.second->size() << ")\n";
        }
    }
    if (!vectorsAtNodes.empty())
    {
        out << vectorsAtNodes.size() << " vectors at nodes: ";
        for (auto &p : vectorsAtNodes)
        {
            out << "\t'" << p.first << "' (size=" << p.second->size() << ")\n";
        }
    }
    if (!vectorsAtElems.empty())
    {
        out << vectorsAtElems.size() << " vectors at elems: ";
        for (auto &p : vectorsAtElems)
        {
            out << "\t'" << p.first << "' (size=" << p.second->size() << ")\n";
        }
    }
}
